Skip to main content
Version: 5.35.0

Templating

The selectable options (items) on the Select UI can be customized using the renderItem and the itemHeight options.

The item data is accessible through the data property of the function's first parameter.

Example item renderer function
function (args) {
return `<div>
<div>${ args.data.text }</div>
<div>${ args.data.value }</div>
<div>${ args.data.yourCustomProperty }</div>
</div>`;
}
Example for adding images to items
const countries = [{
value: 'US',
text: 'United States of America',
flagUrl: '//urlto/usa-flag',
}, {
value: 'DE',
text: 'Germany',
flagUrl: '//urlto/german-flag',
}, {
value: 'FR',
text: 'France',
flagUrl: '//urlto/french-flag',
}];

$('#myInp').mobiscroll().select({
data: countries,
renderItem: function(i) {
return `<div class="my-country-container">
<img src=${i.data.flagUrl} />
{i.data.text}
</div>`;
}
});
info

Every item on the Select must have the same height. For styles that go beyond the default height, the itemHeight option can be used to adjust the styling.

Templating
The selectable options (items) on the Select UI can be customized using the itemTemplate and the itemHeight options.
The item data is accessible through the data property of the template parameter.
<ng-template let-item>
<div>
<div>{{item.data.text}}</div>
<div>{{item.data.value}}</div>
<div>{{item.data.yourCustomProperty}}</div>
</div>
</ng-template>
Example for adding images to items
<mbsc-select [data]="countries" [itemTemplate]="flagTemplate">
<ng-template #flagTemplate let-item>
<div class="my-country-container">
<img [src]="item.data.flagUrl" />
{{item.data.text}}
</div>
</ng-template>
</mbsc-select>
import { MbscSelectData } from '@mobiscroll/angular';
@Component({...})
export class MyComponent {
countries: MbscSelectData[] = [{
value: 'US',
text: 'United States of America',
flagUrl: '//urlto/usa-flag',
}, {
value: 'DE',
text: 'Germany',
flagUrl: '//urlto/german-flag',
}, {
value: 'FR',
text: 'France',
flagUrl: '//urlto/french-flag',
}];
}
info
Every item on the Select must have the same height. For styles that go beyond the default height, the itemHeight option can be used to adjust the styling.

Skip to main content
Version: 5.35.0

Templating

The selectable options (items) on the Select UI can be customized using the renderItem and the itemHeight options.

The item data is accessible through the data property of the function's first parameter.

const myItemTemplate = (args) => {
return <div>
<div>{ args.data.text }</div>
<div>{ args.data.value }</div>
<div>{ args.data.yourCustomProperty }</div>
</div>
}
Example for adding images to items
import { useCallback, useState } from 'react';
import { Select } from '@mobiscroll/react';

function App() {
const [countries] = useState([{
value: 'US',
text: 'United States of America',
flagUrl: '//urlto/usa-flag',
}, {
value: 'DE',
text: 'Germany',
flagUrl: '//urlto/german-flag',
}, {
value: 'FR',
text: 'France',
flagUrl: '//urlto/french-flag',
}]);

const myItemTemplate = useCallback((i) => {
return <div class="my-country-container">
<img src={i.data.flagUrl} />
{i.data.text}
</div>
}, []);

return <Select data={countries} renderItem={myItemTemplate} />
}
info

Every item on the Select must have the same height. For styles that go beyond the default height, the itemHeight option can be used to adjust the styling.

Templating
The selectable options (items) on the Select UI can be customized using the item slot and the itemHeight options.
The item data is accessible through the slot parameter data property.
<template #item="args">
<div>{{ args.data.text}}</div>
<div>{{ args.data.value}}</div>
<div>{{ args.data.yourCustomProperty}}</div>
</template>
Example for adding images to items
<script setup>
const countries = [{
value: 'US',
text: 'United States of America',
flagUrl: '//urlto/usa-flag',
}, {
value: 'DE',
text: 'Germany',
flagUrl: '//urlto/german-flag',
}, {
value: 'FR',
text: 'France',
flagUrl: '//urlto/french-flag',
}];
</script>
<template>
<MbscSelect :data="countries">
<template #item="i">
<div class="my-country-container">
<img :src="i.data.flagUrl" />
{{data.text}}
</div>;
</template>
</MbscSelect>
</template>
info
Every item on the Select must have the same height. For styles that go beyond the default height, the itemHeight option can be used to adjust the styling.